import { EventEmitter } from '../../../../stencil-public-runtime';
export declare class PnVideoOverlay {
    hostElement: HTMLElement;
    language: string;
    isPaused: boolean;
    showOverlay: boolean;
    i18n: any;
    playPauseClicked: EventEmitter<void>;
    componentWillLoad(): void;
    setTranslations(): void;
    onLanguageChange(): void;
    handlePlayPauseClicked: () => void;
    renderPlayIcon: () => any;
    renderPauseIcon: () => any;
    render(): any;
}
